<?php
namespace Service;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\ORM\DateTime;

class ErpService extends \Zeedhi\Framework\Controller\Simple {

    protected $connection;
    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    /**
     * consumirOPEmAndamento
     */
    public function consumirOPEmAndamento($row) {
        try {
            
            $arrayOps = array();
            $ops = $this->getOps($row);
            
            foreach($ops as $op){
            
                $opCompleta = $op;
                $opCompleta['INSUMO'] = $this->getItens($op);
                
                array_push($arrayOps, $opCompleta);
                
            }
            
            return $arrayOps;
            
        } catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function getOps(){
        try{
            $queryOps = "SELECT '0000000001' AS NRORDPROD FROM DUAL
                            UNION
                            SELECT '0000000002' AS NRORDPROD FROM DUAL";

			$params = array();
            $ops = $this->entityManager->getConnection()->fetchAll($queryOps, $params);
            return $ops;
        } catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function getItens($op){
        try{
            $queryItens = "SELECT 'CODIGO' AS CODITEM, 'NOME' AS INSUMO AS NOME FROM DUAL";
			$params = array(
                'P_CDFILIAL'    => $op['CDFILIAL'],
                'P_NRORDPROD'   => $op['NRORDPROD']
            );
            $itens = $this->entityManager->getConnection()->fetchAll($queryItens, $params);
            return $itens;
        } catch (\Exception $e) {
            throw $e;
        }
    }

}